BITCOIN-TX(1)

NAME
bitcoin-tx - manual page for bitcoin-tx v0.13.0.0

DESCRIPTION
Bitcoin Core bitcoin-tx utility version v0.13.0.0

  Usage:

bitcoin-tx [options] <hex-tx> [commands]
    Update hex-encoded bitcoin transaction

bitcoin-tx [options] -create [commands]
    Create hex-encoded bitcoin transaction

OPTIONS

-?

    This help message

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

Chain selection options:

-testnet

    Use the test chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outdata=[VALUE:]DATA

    Add data-based output to TX

    outscript=VALUE:SCRIPT

    Add raw script output to TX

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransaction docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2009-2016 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <http://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.